%global namedreltag .CR2-SNAPSHOT
%global namedversion %{version}%{?namedreltag}

Name:          jboss-logging-jdk
Version:       2.2.0
Release:       %mkrel 2
Summary:       JBoss Logging JDK
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/common/common-logging-jdk/trunk/ jboss-logging-jdk-2.2.0.CR2-SNAPSHOT
# tar czf jboss-logging-jdk-2.2.0.CR2-SNAPSHOT-src-svn.tar.gz jboss-logging-jdk-2.2.0.CR2-SNAPSHOT
Source0:       %{name}-%{namedversion}-src-svn.tar.gz
Patch0:        jboss-logging-jdk-2.2.0-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jboss-common-core
BuildRequires: jboss-logging-spi
# see http://community.jboss.org/wiki/JbossDeployMavenPlugin
#BuildRequires: jboss-deploy-maven-plugin
BuildRequires: jboss-parent
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin

Requires:      jboss-common-core
Requires:      jboss-logging-spi

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
JBoss Logging JDK Implementation.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

#POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 355066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 2.2.0-1.mga2
+ Revision: 132744
- Clean spec file

  + gil <gil>
    - imported package jboss-logging-jdk

